Skip to main content
GET
/
v2
/
payment
/
payment_attempts
List all PaymentAttempts
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/payment_attempts \
  --header 'x-auth-token: <api-key>' \
  --header 'x-client-id: <x-client-id>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "attempt_id": "24fc62b4-90d1-42e3-96ab-dd54ccc648b3",
      "amount": "9.98",
      "currency": "SGD",
      "captured_amount": "0.00",
      "refunded_amount": "0.00",
      "create_time": "2025-03-21T17:17:32+08:00",
      "update_time": "2025-03-21T17:17:32+08:00",
      "complete_time": "2024-03-01T00:00:00+08:00",
      "cancellation_reason": "Order cancelled",
      "auth_code": "A12B3C",
      "arn": "74537604221222132710572",
      "rrn": "123456789012",
      "advice_code": "01",
      "authentication_data": {
        "cvv_result": "M",
        "avs_result": "Y",
        "three_ds": {
          "three_ds_version": "2.2.0",
          "eci": "05",
          "cavv": "AAABCZIhcQAAAABZlyFxAAAAAAA=",
          "three_ds_authentication_status": "Y",
          "three_ds_cancellation_reason": "01"
        }
      },
      "payment_method": {
        "type": "card",
        "card": {
          "card_name": "john doe",
          "card_number": "541333******4047",
          "network": "visa",
          "authorization_type": "authorization",
          "brand": "visa",
          "bin": "541333",
          "last4": "4047",
          "card_type": "credit",
          "expiry_month": "12",
          "expiry_year": "2027",
          "billing": {
            "first_name": "John",
            "last_name": "Doe",
            "email": "john.doe@example.com",
            "address": {
              "country_code": "SG",
              "city": "Singapore",
              "street": "444 Orchard Rd, Midpoint Orchard, Singapore ",
              "postcode": "924011",
              "state": ""
            },
            "phone_number": "12025550123"
          },
          "auto_capture": true
        }
      },
      "failure_code": "",
      "attempt_status": "INITIATED"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-client-id
string
required

The API client id generated by UQPAY

Query Parameters

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

payment_intent_id
string

Filter payment attempts by payment intent ID

Example:

"PI1234567890123456789"

attempt_status
enum<string>

Filter payment attempts by status.

  • INITIATED: Created based on the initial request.
  • AUTHENTICATION_REDIRECTED: Waiting for customer identity verification.
  • PENDING_AUTHORIZATION: Pending a final decision from the payment provider.
  • AUTHORIZED: Authorization successfully completed.
  • CAPTURE_REQUESTED: Capture submitted, payment is considered complete.
  • SETTLED: Funds settled from payment provider and received by UQPAY.
  • SUCCEEDED: UQPAY has settled funds to your wallet.
  • CANCELLED: The payment attempt has been cancelled.
  • EXPIRED: Not completed within the allowed time window.
  • FAILED: The payment attempt has failed.
Available options:
INITIATED,
AUTHENTICATION_REDIRECTED,
PENDING_AUTHORIZATION,
AUTHORIZED,
CAPTURE_REQUESTED,
SETTLED,
SUCCEEDED,
CANCELLED,
EXPIRED,
FAILED
Example:

"INITIATED"

Response

List of payment attempts retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]